### Method

# Foundry Triplet get_full_name

#### Declaration [src]

    const char*
    foundry_triplet_get_full_name (
      FoundryTriplet* self
    )

#### Description [src]

Gets the full name of the machine configuration name (can be an architecture name, a duet, a triplet or a quadruplet).

#### Return value

Type: `const char*`

The full name of the machine configuration name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.